#!/usr/local/bin/python3

"""
  
  Plot an xy data file with plotly  
  
"""

import os
import sys
import numpy as np
import matplotlib.pyplot as plt
import plotly.graph_objects as go
from plotly.offline import plot 

matplotlib_flag = False
plotly_flag = True

# Check the command line for a file


global x_data
global y_data
x_data = np.zeros(1024)
y_data = np.zeros(1024)


def read_file(infile):
  global x_data
  global y_data
  
  datafp = open(infile, 'r')
  datatext = datafp.readlines()
  datafp.close()

  # How many lines were there?

  i = 0
  for line in datatext:
    i = i + 1

  nlines = i

  # Fill  the arrays for fixed size is much faster than appending on the fly

  x_data = np.zeros((nlines))
  y_data = np.zeros((nlines))

  # Parse the lines into the data

  i = 0
  for line in datatext:
    
    # Test for a comment line
    
    if ((line[0] == "#") or (line[0] == "!") ):

      continue
       
    # Treat the case of a plain text comma separated entries    
    
    try:
            
      entry = line.strip().split(",")  
      x_data[i] = float(entry[0])
      y_data[i] = float(entry[1])

      i = i + 1    
    except:      
    
      # Treat the case of space separated entries
    
      try:
        entry = line.strip().split()
        x_data[i] = float(entry[0])
        y_data[i] = float(entry[1])
        i = i + 1
      except:
        pass

  # Remove the unused trailing 0's if there were comments
  
  x_data = np.trim_zeros(x_data)
  y_data = np.trim_zeros(y_data)
  
  return()

infile = ""

if len(sys.argv) != 2:
  print (" ")
  print ("Usage: plotly_data [data.dat] ")
  print (" ")
  sys.exit("Plot 2-column data\n")
elif len(sys.argv) == 2:
  infile = sys.argv[1]
  infile_base = infile.split(".")[0]
  read_file(infile)


# Plot the data 


if matplotlib_flag:

  fig = plt.figure(facecolor='w')
  subfig = fig.add_subplot(111,  axisbelow=True)
  subfig.plot(x_data, y_data, 'b', alpha=0.5, lw=2, label=infile_base)
  subfig.set_xlabel('X')
  subfig.set_ylabel('Y')
  subfig.yaxis.set_tick_params(length=5, direction="in")
  subfig.xaxis.set_tick_params(length=5, direction="in")
  legend = subfig.legend()

  plt.show()


if plotly_flag:

  print("Using plotly -- check your browser for the plot \n")
  
  sir_fig = go.Figure()
  sir_fig.add_trace(go.Scatter(x=x_data, y=y_data,
    mode='lines',
    name=infile))

  sir_fig.update_layout(title=infile,
    xaxis_title='X',
    yaxis_title='Y')


  sir_fig.show()
  plot(sir_fig, filename=infile_base+".html", auto_open=False) 


exit()



